# Class OpenEditorActionGroup

java.lang.Object
org.eclipse.ui.actions.ActionGroup
org.eclipse.jdt.ui.actions.OpenEditorActionGroup

public class OpenEditorActionGroup extends org.eclipse.ui.actions.ActionGroup
Action group that adds the actions opening a new editor to the context menu and the action bar's navigate menu.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`OpenEditorActionGroup(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor editor)`
Note: This constructor is for internal use only.
`OpenEditorActionGroup(org.eclipse.ui.IViewPart part)`
Creates a new `OpenActionGroup`.
`OpenEditorActionGroup(org.eclipse.ui.IWorkbenchPartSite site, org.eclipse.jface.viewers.ISelectionProvider specialSelectionProvider)`
Creates a new `OpenEditorActionGroup`.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`void`
`fillActionBars(org.eclipse.ui.IActionBars actionBar)`
`void`
`fillContextMenu(org.eclipse.jface.action.IMenuManager menu)`
`org.eclipse.jface.action.IAction`
`getOpenAction()`
Returns the open action managed by this action group.

### Methods inherited from class org.eclipse.ui.actions.ActionGroup

`getContext, setContext, updateActionBars`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OpenEditorActionGroup

public OpenEditorActionGroup(org.eclipse.ui.IViewPart part)
Creates a new `OpenActionGroup`. The group requires that the selection provided by the part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

### OpenEditorActionGroup

public OpenEditorActionGroup(org.eclipse.ui.IWorkbenchPartSite site, org.eclipse.jface.viewers.ISelectionProvider specialSelectionProvider)
Creates a new `OpenEditorActionGroup`. The group requires that the selection provided by the given selection provider is of type `IStructuredSelection`.

Parameters:
  `site` - the site that will own the action group.
  `specialSelectionProvider` - the selection provider used instead of the sites selection provider.
Since:
  3.4

### OpenEditorActionGroup

public OpenEditorActionGroup(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor editor)
Note: This constructor is for internal use only. Clients should not call this constructor.

Parameters:
  `editor` - the Java editor
Restriction:
  This constructor is not intended to be referenced by clients.

## Method Details

### getOpenAction

public org.eclipse.jface.action.IAction getOpenAction()
Returns the open action managed by this action group.

Returns:
  the open action. Returns `null` if the group doesn't provide any open action

### fillActionBars

public void fillActionBars(org.eclipse.ui.IActionBars actionBar)

Overrides:
  `fillActionBars` in class `org.eclipse.ui.actions.ActionGroup`

### fillContextMenu

public void fillContextMenu(org.eclipse.jface.action.IMenuManager menu)

Overrides:
  `fillContextMenu` in class `org.eclipse.ui.actions.ActionGroup`

### dispose

public void dispose()

Overrides:
  `dispose` in class `org.eclipse.ui.actions.ActionGroup`